glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
Glib::Markup Namespace Reference

## Classes
class | AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | ParseContext
| A parse context is used to parse marked-up documents. More...
class | Parser
| The abstract markup parser base class. More...

## Typedefs
using | Error = Glib::MarkupError

## Enumerations

## Functions
Glib::ustring | escape_text (const Glib::ustring& text)
| Escapes text so that the markup parser will parse it verbatim. More...
ParseFlags | operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator~ (ParseFlags flags)
ParseFlags& | operator|= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator&= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator^= (ParseFlags& lhs, ParseFlags rhs)